searchData={"items":[{"type":"module","title":"GettextPseudolocalize","doc":"","ref":"GettextPseudolocalize.html"},{"type":"function","title":"GettextPseudolocalize.hello/1","doc":"","ref":"GettextPseudolocalize.html#hello/1"},{"type":"function","title":"GettextPseudolocalize.translate/1","doc":"","ref":"GettextPseudolocalize.html#translate/1"},{"type":"module","title":"GettextPseudolocalize.Gettext","doc":"","ref":"GettextPseudolocalize.Gettext.html"},{"type":"function","title":"GettextPseudolocalize.Gettext.handle_missing_bindings/2","doc":"","ref":"GettextPseudolocalize.Gettext.html#handle_missing_bindings/2"},{"type":"function","title":"GettextPseudolocalize.Gettext.handle_missing_plural_translation/7","doc":"","ref":"GettextPseudolocalize.Gettext.html#handle_missing_plural_translation/7"},{"type":"function","title":"GettextPseudolocalize.Gettext.handle_missing_translation/5","doc":"","ref":"GettextPseudolocalize.Gettext.html#handle_missing_translation/5"},{"type":"module","title":"GettextPseudolocalize.Plural","doc":"","ref":"GettextPseudolocalize.Plural.html"},{"type":"function","title":"GettextPseudolocalize.Plural.nplurals/1","doc":"","ref":"GettextPseudolocalize.Plural.html#nplurals/1"},{"type":"function","title":"GettextPseudolocalize.Plural.plural/2","doc":"","ref":"GettextPseudolocalize.Plural.html#plural/2"},{"type":"module","title":"GettextPseudolocalize.Process","doc":"Handles the pseudolocalization of strings for gettext translations.\n\nThis module provides functionality to convert regular strings into pseudolocalized versions\nwhile preserving interpolation variables. Pseudolocalization helps identify hardcoded strings,\ncharacter encoding issues, and UI problems by converting ASCII characters to similar-looking\nUnicode characters.\n\nThe conversion:\n- Preserves gettext interpolation variables (e.g., %{name})\n- Converts ASCII characters to accented Unicode equivalents\n- Wraps the result in brackets (⟦...⟧) for easy identification","ref":"GettextPseudolocalize.Process.html"},{"type":"function","title":"GettextPseudolocalize.Process.convert/1","doc":"Converts a string to its pseudolocalized equivalent.\n\nThis function preserves gettext interpolation variables while converting regular text\nto pseudolocalized versions. The result is wrapped in special brackets for easy identification.","ref":"GettextPseudolocalize.Process.html#convert/1"},{"type":"function","title":"Examples - GettextPseudolocalize.Process.convert/1","doc":"iex> GettextPseudolocalize.Process.convert(\"Hello\")\n    \"⟦Ȟêĺĺø~~~~~~~~~~⟧\"\n\n    iex> GettextPseudolocalize.Process.convert(\"Hello %{name}\")\n    \"⟦Ȟêĺĺø %{name}~~~~~~⟧\"","ref":"GettextPseudolocalize.Process.html#convert/1-examples"},{"type":"task","title":"mix gettext.pseudolocalize","doc":"Creates a pseudolocalized version of the xx locale for testing internationalization.\n\nPseudolocalization is a software testing method used to verify internationalization aspects\nof software. It replaces ordinary characters with accented, uncommon, or otherwise modified\nversions while maintaining the readability of the text.","ref":"Mix.Tasks.Gettext.Pseudolocalize.html"},{"type":"task","title":"Usage - mix gettext.pseudolocalize","doc":"First, extract your gettext strings:\n\n    $ mix gettext.extract\n\nThen run the pseudolocalization:\n\n    $ mix gettext.pseudolocalize\n\nThis will process all .po files in the xx locale directory (priv/gettext/xx/LC_MESSAGES/).","ref":"Mix.Tasks.Gettext.Pseudolocalize.html#module-usage"},{"type":"extras","title":"Gettext Pseudolocalize","doc":"# Gettext Pseudolocalize\n\nA Mix task for pseudolocalizing Gettext translations in Elixir\napplications. Pseudolocalization is a software testing method used to\nverify internationalization aspects of software by replacing ordinary\ncharacters with accented or modified versions while maintaining\nreadability.","ref":"readme.html"},{"type":"extras","title":"Features - Gettext Pseudolocalize","doc":"- Preserves Gettext interpolation variables (e.g., `%{name}`)\n- Converts ASCII characters to accented Unicode equivalents\n- Wraps strings in brackets (⟦...⟧) for easy identification\n- Maintains all PO file headers and metadata\n- Preserves existing translations","ref":"readme.html#features"},{"type":"extras","title":"Installation - Gettext Pseudolocalize","doc":"Add `gettext_pseudolocalize` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:gettext_pseudolocalize, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Gettext Pseudolocalize","doc":"1. First, extract your gettext strings:\n\n```bash\nmix gettext.extract\n```\n\n2. Merge them into the xx locale - this is done automatically by the\ngettext_pseudolocalize task:\n\n```bash\nmix gettext.merge priv/gettext --locale=xx\n```\n\n3. Run the pseudolocalization:\n\n```bash\nmix gettext.pseudolocalize\n```\n\nThis will process all .po files in your xx locale directory\n(`priv/gettext/xx/LC_MESSAGES/`).","ref":"readme.html#usage"},{"type":"extras","title":"Example - Gettext Pseudolocalize","doc":"Original string in .pot file:\n```\nmsgid \"Hello %{name}\"\nmsgstr \"\"\n```\n\nAfter pseudolocalization in xx locale:\n```\nmsgid \"Hello %{name}\"\nmsgstr \"⟦Ȟêĺĺø %{name}~~~~~~⟧\"\n```","ref":"readme.html#example"},{"type":"extras","title":"Benefits - Gettext Pseudolocalize","doc":"Pseudolocalization helps identify:\n- Hardcoded strings that should be localized\n- Character encoding issues\n- UI issues with different character lengths\n- String concatenation issues\n- Unicode/font support problems","ref":"readme.html#benefits"},{"type":"extras","title":"Contributing - Gettext Pseudolocalize","doc":"1. Fork it\n2. Create your feature branch (`git checkout -b feature/my-new-feature`)\n3. Commit your changes (`git commit -am 'Add some feature'`)\n4. Push to the branch (`git push origin feature/my-new-feature`)\n5. Create new Pull Request","ref":"readme.html#contributing"},{"type":"extras","title":"License - Gettext Pseudolocalize","doc":"This project is licensed under the Apache-2.0 License.","ref":"readme.html#license"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}